Bug 479264 - [RHEL4] lost siginfo when a signal queue is full
[RHEL4] lost siginfo when a signal queue is full
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Linda Wang
Evan McNabb
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 09:12 EST by Tomas Smetana
Modified: 2011-02-16 11:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 11:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testing program (2.20 KB, text/plain)
2009-01-08 09:12 EST, Tomas Smetana
no flags Details
Proposed patch (2.75 KB, patch)
2009-01-08 09:14 EST, Tomas Smetana
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2009-01-08 09:12:57 EST
Created attachment 328465 [details]
Testing program

Description of problem:
When the signal queue is filled up to RLIMIT_SIGPENDING, the subsequent signal (not originated from the sigqueue call) would miss the siginfo.

Version-Release number of selected component (if applicable):
kernel-2.6.9-78.21

How reproducible:
always

Steps to Reproduce:
1. compile and run the testing c-program.
  
Actual results:
The application prints:
signal: signo=11 si_code=0 si_addr=(nil)

Expected results:
The application prints:
signal: signo=11 si_code=1 si_addr=0xffffffff
Comment 1 Tomas Smetana 2009-01-08 09:14:49 EST
Created attachment 328466 [details]
Proposed patch

My attempt to backport the fix from RHEL-5 kernel.  Briefly tested on i386 and seems to work OK.
Comment 2 Roland McGrath 2009-05-13 14:08:41 EDT
Looks like a straightforward backport to the current upstream behavior.
Comment 3 RHEL Product and Program Management 2009-07-02 17:23:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Vivek Goyal 2009-07-14 14:51:19 EDT
Committed in 89.6.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2011-02-16 11:01:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.